package no.rwr.x;
import gnu.gcj.RawData;




/**
   There is no need to do coalescing of changes since Xlib will do
   this for us.
 */
public class GC {
    
    public GC(Drawable targetType) {
	this.targetType = targetType;
    }

    public native RawData getValues();
    public native RawData getStructure();

    protected native void dispose();

    public void finalize() {
	dispose();
    }

    public native void setForeground(long pixel);
    public native void setFont(Font font);

    public native void drawString(String text, int x, int y);
    public native void drawLine(int x1, int y1, int x2, int y2);
    public native void drawRectangle(int x, int y, int w, int h);

    public native void putImage(XImage image,
				int srcX, int srcY,
				int destX, int destY,
				int width, int height);

    private Drawable targetType;
    private RawData structure;
    

    private long valueMask;
    private RawData values;

}

